WordPress.org

Ready to get started?Download WordPress

Forums

New server: "cannot access database" for version update (12 posts)

  1. tiffanyblitz
    Member
    Posted 6 years ago #

    After having some trouble with the migration, I thought the easiest way to make sur my WP files were clean would be to upload the new version (2.3.1) cleanly.

    Then I tried to access the "update" function, and it tells me I cannot access the database.

    I checked the wp-config.php, and the username and password are definately right.

    I'm using 1 & 1 for hosting, if anyone's familiar with them. On the MySQL admin page, it lists your dbs, and shows a "host name" for each. I wasn't sure if this meant that was what needed to be in the '99% sure you won't need to change this' field, so I've tried it both ways. Still no luck.

    My fear is that this is somehow related to the comment they have posted at the top of that page:

    Your MySQL databases are stored behind a firewall to protect your data. You can only access each one exclusively through your server. Direct access to your MySQL databases using a home PC (external ODBC connection) cannot be established.

    *IS* that the problem? Or am I missing something else??

    Thanks!

  2. tiffanyblitz
    Member
    Posted 6 years ago #

    Just wanted to bump this up for today, and see if anyone knew what to do...

    I'm desperate!

    My blog is at http://www.tiffanyblitz.com, if you want to take a look.

    Please? :)

  3. tiffanyblitz
    Member
    Posted 6 years ago #

    Anyone?

    It's actually http://www.tiffanyblitz.com/blog

    I'm so stressed out about this I can't even remember my own URL... :P

  4. JessicaW
    Member
    Posted 6 years ago #

    Open and edit your wp-config.php file

  5. tiffanyblitz
    Member
    Posted 6 years ago #

    Um, yeah. I did that.

  6. MichaelH
    Member
    Posted 6 years ago #

    Also make sure you have the correct values for DB_NAME, DB_USER, and DB_PASSWORD.

    1and1.com will show you all the information you need. As Jessica said, edit your wp-config.php file and make sure you have the correct info there.

    Note that with 1and1.com, the DB_NAME will be like db222222669 but the DB_USER will be dbo222222669 (the user has the letter o after db).

  7. tiffanyblitz
    Member
    Posted 6 years ago #

    Michael -

    You have a gift for making me feel stupid, but I'll take it if it solves the problem. I had just pasted the db name in both fields, not catching the "o".

    BUT:

    Now I get this ALL NEW ERROR trying to access either the blog or the updatescript:

    Warning: wp_cache_postload(/homepages/18/d222955516/htdocs/blog/wp-content/plugins/wp-cache/wp-cache-phase2.php) [function.wp-cache-postload]: failed to open stream: No such file or directory in /homepages/18/d222955516/htdocs/blog/wp-content/advanced-cache.php on line 63

    Fatal error: wp_cache_postload() [function.require]: Failed opening required '/homepages/18/d222955516/htdocs/blog/wp-content/plugins/wp-cache/wp-cache-phase2.php' (include_path='.:/usr/local/lib/php') in /homepages/18/d222955516/htdocs/blog/wp-content/advanced-cache.php on line 63

  8. MichaelH
    Member
    Posted 6 years ago #

    My first guess is you didn't get a clean upload of all the WordPress files.

    If you aren't using Filezilla for FTP then please consider doing so.

    Resource:
    Uploading WordPress to a remote host

  9. tiffanyblitz
    Member
    Posted 6 years ago #

    I've uploaded WP several times, but of course I'm game to find out it was something stupid again.

    First, I will go find Filezilla, as I am using something else (which is obviously lousy! LOL).

  10. tiffanyblitz
    Member
    Posted 6 years ago #

    Okay, got FileZilla. Re-uploaded unzipped 2.3.1 as downloaded from WP.

    Went to the /upgrade.php and got this:

    Warning: wp_cache_postload(/homepages/18/d222955516/htdocs/blog/wp-content/plugins/wp-cache/wp-cache-phase2.php) [function.wp-cache-postload]: failed to open stream: No such file or directory in /homepages/18/d222955516/htdocs/blog/wp-content/advanced-cache.php on line 63

    Fatal error: wp_cache_postload() [function.require]: Failed opening required '/homepages/18/d222955516/htdocs/blog/wp-content/plugins/wp-cache/wp-cache-phase2.php' (include_path='.:/usr/local/lib/php') in /homepages/18/d222955516/htdocs/blog/wp-content/advanced-cache.php on line 63

  11. MichaelH
    Member
    Posted 6 years ago #

    Try deleting that cache plugin.

  12. tiffanyblitz
    Member
    Posted 6 years ago #

    Oh, you are truly my hero!

    Thank you SO much!!

    Do you suppose I could re-download and re-install that plugin, or should I let well enough alone?

    I do have slow loading issues (my theme designer says it's because I have too many widgets), so I was thinking that would help...

Topic Closed

This topic has been closed to new replies.

About this Topic